Eclipse Platform Release 3.7

## org.eclipse.team.ui
Interface IConfigurationWizardExtension

    public interface IConfigurationWizardExtension

Extends `IConfigurationWizard` to support the sharing of multiple projects. The Share Project wizard uses the "adaptable" mechanism (see `IAdapterManager` to obtain an `IConfigurationWizardExtension` for an `IConfigurationWizard` class so clients may choose to have their `IConfigurationWizard` class implement this interface as well or may choose to use the adaptable mechanism to provide the extension.

Clients may implement this interface.

Since:
  3.4
See Also:
  `IConfigurationWizard`

Method Summary
`void` `init(IWorkbench workbench, IProject[] projects)` Initializes this creation wizard using the passed workbench and selected projects.

Method Detail

### init

    void init(IWorkbench workbench,
              IProject[] projects)

  Initializes this creation wizard using the passed workbench and selected projects.

  This method is called after the no argument constructor and before other methods are called.

  Parameters:
    `workbench` - the current workbench
    `projects` - the selected projects

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.